<?php
/*
Plugin Name: Events Manager Pro - extended 
Description: This plugin can use to send reminder mail to all the attendees who are going to participating the event
Version: 0.1
Author: Jerin K Alexander
Author URI: http://opaquez.com
*/

require_once( "plugin-register.class.php" );
$register = new Plugin_Register();
$register->file = __FILE__;
$register->slug = "reminder";
$register->name = "Reminder Email";
$register->version = "0.1";
$register->developer = "Jerin K Alexander";
$register->homepage = "http://www.opaquez.com";
$register->Plugin_Register();

// add the admin menu option
add_action( 'admin_menu', 'reminder_add_admin' );
function reminder_add_admin() {
	add_submenu_page( 'tools.php', __("Reminder Email", "reminder"), __("Reminder Email", "reminder"), 'edit_users', 'reminder', 'reminder' );
}

// add the JavaScript
add_action( 'admin_head', 'reminder_add_js' );
function reminder_add_js() {
	if ( isset( $_GET["page"] ) && $_GET["page"] == "reminder" ) {
		echo '
		<script type="text/javascript">
		jQuery(document).ready(function(){
			jQuery(".reminder-hide").hide();
			jQuery("#reminder_autoheaders,#reminder_customheaders").bind("change", function(){
				if (jQuery("#reminder_autoheaders").is(":checked")){
					jQuery("#customheaders").hide();
					jQuery("#autoheaders").show();
				}
				if (jQuery("#reminder_customheaders").is(":checked")){
					jQuery("#autoheaders").hide();
					jQuery("#customheaders").show();
				}
			});
		});
		</script>
		';
	}
}
// add the CSS
add_action( 'admin_head', 'reminder_add_css' );
function reminder_add_css() {
	if ( isset( $_GET["page"] ) && $_GET["page"] == "reminder" ) {
		echo '
		<style type="text/css">
		#reminder label {
			width: 16em;
			float: left;
		}
		#reminder .text {
			width: 30em;
		}
		#reminder p, #reminder pre {
			clear: left;
		}
		</style>
		';
	}
}

// load the check email admin page
function reminder() {
	global $current_user;
  global $wpdb;
  error_reporting(0);
	echo '
	<div id="reminder" class="wrap">
	';
	
	if (isset( $_POST["reminder_to"]) && $_POST["reminder_to"] != "" )
	{
            $event_id = $_POST['reminder_to'];
            
              $metadetails    =   $wpdb->get_results( "SELECT booking_meta FROM wp_em_bookings WHERE event_id = $event_id and booking_status=1");
                
                foreach($metadetails as $data => $val){ 
                $meta   =   $val->booking_meta;
                $unserializedata = unserialize($meta);
                foreach($unserializedata as $key => $value){       
                foreach($value as $key => $details){
                foreach($details as $key1 => $result){
                    if(filter_var($result['emal'], FILTER_VALIDATE_EMAIL)){
                        
            $headers = reminder_send($result['emal'],$_POST['reminder_subject'],"Hi ".$result['attendee_name'].",<br>".$_POST['reminder_body'], $_POST["reminder_headers"] );
		$fullemails[]= $result['emal'];
                    }
                }
                }}}
                echo '<div class="updated"><p>' . __( 'The reminder email has been sent to the following addresses.', "reminder" ) . '</p>
';
             echo '<p>';  $fullem="";
         
  echo implode(",", $fullemails);
              // echo  substr($fullem, 0, -1);
                
                echo '</p>                    
</div>';
	}
	
         
        global $wpdb;
        $event_table = $wpdb->prefix . "em_events";
        $eventdetails  =  $wpdb->get_results( "SELECT 	* from $event_table"); 
        
        
	echo '
	<h2>' . __( "Reminder Email" ) . '</h2>
	
	<form action="tools.php?page=reminder" method="post">
	<p><label for="reminder_to">' . __( "Select event:", "reminder" ) . '</label>';
        
        echo '<select name="reminder_to" id="reminder_to" class="text">';
        foreach($eventdetails as $eventdetail){
            
         echo  '<option ';
if($_POST["reminder_to"] == $eventdetail->event_id )  {
    echo " selected=selected ";
}       
         echo ' value="'.$eventdetail->event_id.'">'.$eventdetail->event_name.'</option>';  
        
        }
            
       echo '</select>
           
<p><label for="reminder_autoheaders">' . __( "Email Subject", "reminder" ) . '</label>
	<input type="text" style="width:100%" id="reminder_subject" name="reminder_subject" value="';
		if ( isset( $_POST["reminder_subject"] ) ) {
			echo $_POST["reminder_subject"];
		} else {
			echo '';
		}
	echo '"	/></p>
                       
<p><label for="reminder_autoheaders">' . __( "Email Body", "reminder" ) . '</label>';
	 
        
$settingseditor = array( 'media_buttons' => false,'teeny' => false );
 
        wp_editor($_POST["reminder_body"] , 'reminder_body',$settingseditor );
        echo '</p>';


	 echo '
	<p><label for="reminder_autoheaders">' . __( "Use standard headers", "reminder" ) . '</label>
	<input type="radio" id="reminder_autoheaders" name="reminder_headers" value="auto"';
	if ( !isset($_POST["reminder_headers"]) || $_POST["reminder_headers"] == "auto" ){
		echo ' checked="checked"';
	}
	echo '	/></p>
            




	<pre id="autoheaders"';
	if ( isset($_POST["reminder_headers"]) && $_POST["reminder_headers"] == "custom" ){
		echo ' class="reminder-hide"';
	}
	echo '>MIME-Version: 1.0
From: ' . $current_user->user_email . '
Content-Type: text/plain; charset="' . get_option( 'blog_charset' ) . '"</pre>
	<p><label for="reminder_customheaders">' . __( "Use custom headers", "reminder" ) . '</label>
	<input type="radio" id="reminder_customheaders" name="reminder_headers" value="custom"';
	if ( isset($_POST["reminder_headers"]) && $_POST["reminder_headers"] == "custom" ){
		echo ' checked="checked"';
	}
	echo '	/></p>
	<div id="customheaders"';
	if ( !isset($_POST["reminder_headers"]) || $_POST["reminder_headers"] == "auto" ){
		echo ' class="reminder-hide"';
	}
	echo '>
		<p>' . __( "Set your custom headers below", "reminder" ) . '</p>
		<p><label for="reminder_mime">' . __( "MIME Version", "reminder" ) . '</label>
		<input type="text" name="reminder_mime" id="reminder_mime" value="';
		if ( isset( $_POST["reminder_mime"] ) ) {
			echo $_POST["reminder_mime"];
		} else {
			echo '1.0';
		}
		echo '" /></p>
		<p><label for="reminder_type">' . __( "Content type", "reminder" ) . '</label>
		<input type="text" name="reminder_type" id="reminder_type" value="';
		if ( isset( $_POST["reminder_type"] ) ) {
			echo $_POST["reminder_type"];
		} else {
			echo 'text/html; charset=iso-8859-1';
		}
		echo '" class="text"  /></p>
		<p><label for="reminder_from">' . __( "From", "reminder" ) . '</label>
		<input type="text" name="reminder_from" id="reminder_from" value="';
		if ( isset( $_POST["reminder_from"] ) ) {
			echo $_POST["reminder_from"];
		} else {
			echo $current_user->user_email;
		}
		echo '" class="text"  /></p>
		<p><label for="reminder_cc">' . __( "CC", "reminder" ) . '</label>
		<textarea name="reminder_cc" id="reminder_cc" cols="30" rows="4" class="text">';
		if ( isset( $_POST["reminder_cc"] ) ) {
			echo $_POST["reminder_cc"];
		}
		echo '</textarea></p>
		<p><label for="reminder_break_n">' . __( "Header line break type", "reminder" ) . '</label>
		<input type="radio" name="reminder_break" id="reminder_break_n" value="\n"';
		if ( !isset( $_POST["reminder_break"] ) || $_POST["reminder_break"] == '\n' ) {
			echo ' checked="checked"';
		}
		echo ' /> \n
		<input type="radio" name="reminder_break" id="reminder_break_rn" value="\r\n"';
		if ( isset( $_POST["reminder_break"] ) && $_POST["reminder_break"] == '\r\n' ) {
			echo ' checked="checked"';
		}
		echo ' /> \r\n</p>
	</div>
	<p><label for="reminder_go" class="reminder-hide">' . __( "Send", "reminder" ) . '</label>
	<input type="submit" name="reminder_go" id="reminder_go" class="button-primary" value="' . __( "Send reminder", "reminder" ) . '" /></p>
	</form>
	
	</div>
	';
		
}

// send a test email
function reminder_send($to,$subject,$body, $headers = "auto") {
	global $current_user;
	if ( $headers == "auto" ) {
		$headers = "MIME-Version: 1.0\r\n" .
		"From: " . $current_user->user_email . "\r\n" .
		"Content-Type: text/plain; charset=\"" . get_option('blog_charset') . "\"\r\n";
	} else {
		$break = chr( 10 );
		if ( stripslashes( $_POST["reminder_break"] ) == '\r\n' ) {
			$break = chr( 13 ) . chr( 10 );
		}
		$headers = "MIME-Version: " . trim( $_POST["reminder_mime"] ) . $break .
		"From: " . trim( $_POST["reminder_from"] ) . $break .
		"Cc: " . trim( $_POST["reminder_cc"] ) . $break .
		"Content-Type: " . trim( $_POST["reminder_type"] ) . $break;
	}
	wp_mail( $to,$subject,$body, $headers );
	return $headers;
}
?>